<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<style>
body{
    margin:0;
}
#viewmap {
    position: relative; 
    width: 100%; 
    height: 295px;
}
</style>
</head>
<body>
<div id="viewmap"></div>
<div id="body">
<script type="text/javascript" language="javascript" src=" http://api.51ditu.com/js/maps.js"></script>
<script type="text/javascript" language="javascript">
var maps = new LTMaps( 'viewmap' ); 
if( window.parent.lng && window.parent.lat && window.parent.shopname) {
    var point = new LTPoint( window.parent.lng, window.parent.lat );
    var shop = window.parent.shopname;
}
var control = new LTStandMapControl( 2 );
maps.addControl( control );
if( point ) {
	maps.centerAndZoom( point, 0 );
	var marker = new LTMarker( point );
	maps.addOverLay( marker );

    var maptxt = new LTMapText( point );
    maptxt.setLabel( shop );
    maps.addOverLay( maptxt );
} else {
    var point = new LTPoint(window.parent.d_lng, window.parent.d_lat);
	maps.cityNameAndZoom( point , 3 );
}
</script>
</body>
</html>